/*
 * Copyright © 2021 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel21-tictactoe-core.
 *
 * ipspiel21-tictactoe-core is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * ipspiel21-tictactoe-core is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * ipspiel21-tictactoe-core. If not, see <http://www.gnu.org/licenses/>.
 */
package de.fhdw.gaming.ipspiel21.viergewinnt.core.domain;

/**
 * Represents the state of a Vier Gewinnt field.
 */
public enum VierGewinntFieldState {

    /**
     * The field is empty.
     */
    EMPTY("_"),

    /**
     * There is a red piece on the field.
     */
    YELLOW("Y"),

    /**
     * There is a yellow piece on the field.
     */
    RED("R");

    /**
     * String for toString.
     */
    private String string;

    /**
     * .
     * 
     * @param string
     */
    VierGewinntFieldState(final String string) {
        this.string = string;
    }

    @Override
    public String toString() {
        return this.string;
    }
}
