/*
 * Copyright © 2021 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel21-tictactoe-core.
 *
 * ipspiel21-tictactoe-core is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * ipspiel21-tictactoe-core is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * ipspiel21-tictactoe-core. If not, see <http://www.gnu.org/licenses/>.
 */
package de.fhdw.gaming.ipspiel21.viergewinnt.core.domain;

import de.fhdw.gaming.core.domain.GameBuilderFactory;
import de.fhdw.gaming.core.domain.GameException;
import de.fhdw.gaming.core.ui.InputProvider;

/**
 * A VierGewinnt {@link GameBuilderFactory} which allows to create a VierGewinnt
 * game builder.
 */
public interface VierGewinntGameBuilderFactory extends GameBuilderFactory {

    /**
     * Parameter for the number of columns of the board.
     */
    String PARAM_COLUMN_SIZE = "columnSize";

    /**
     * Parameter for the number of columns of the board.
     */
    String PARAM_ROW_SIZE = "rowSize";
    /**
     * Parameter that determines if a player is using yellow.
     */
    String PARAM_PLAYER_USING_YELLOW = "playerUsingYellow";

    @Override
    VierGewinntGameBuilder createGameBuilder(InputProvider inputProvider) throws GameException;
}
