package de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.factory;

import java.util.ArrayList;
import java.util.List;
import java.util.ServiceLoader;

/**
 * Implements {@link VierGewinntStrategyFactoryProvider} by using the {@link ServiceLoader}.
 */
public final class VierGewinntDefaultStrategyFactoryProvider implements VierGewinntStrategyFactoryProvider {

    @Override
    public List<VierGewinntStrategyFactory> getStrategyFactories() {
        final ServiceLoader<VierGewinntStrategyFactory> services = ServiceLoader.load(VierGewinntStrategyFactory.class);
        final List<VierGewinntStrategyFactory> list = new ArrayList<>();
        services.iterator().forEachRemaining(list::add);
        return list;
    }
}
