package de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.impl;

import de.fhdw.gaming.core.domain.GameException;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.VierGewinntPlayer;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.VierGewinntPlayerBuilder;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.VierGewinntState;

/**
 * Implementation of a VierGewinntPlayer. This Class represent a VierGewinntPlayer.
 */
public class VierGewinntPlayerBuilderImpl implements VierGewinntPlayerBuilder {

    /**
     * The Name of a Player.
     */
    private String name;
    /**
     * The Colour of which token a player is using.
     */
    private boolean yellow;

    @Override
    public VierGewinntPlayerBuilder changeName(final String newName) {
        this.name = newName;
        return this;
    }

    @Override
    public VierGewinntPlayerBuilder changeUsingYellow(final boolean usingYellow) {
        this.yellow = usingYellow;
        return this;
    }

    @Override
    public boolean isUsingYellow() {
        return this.yellow;
    }

    @Override
    public VierGewinntPlayer build(final VierGewinntState state) throws GameException {

        return new VierGewinntPlayerImpl(state, this.name, this.yellow);
    }

}
