package de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.impl;

import java.util.Optional;
import java.util.Random;
import java.util.Set;

import de.fhdw.gaming.core.domain.GameException;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.VierGewinntField;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.VierGewinntPlayer;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.VierGewinntState;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.VierGewinntStrategy;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves.VierGewinntMove;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves.impl.VierGewinntMoveImpl;

/**
 * The Random Strategy for the VierGewinntGame.
 * 
 * @author Robby Rabbitman
 *
 */
public class VierGewinntRandomStrategy implements VierGewinntStrategy {

    @Override
    public Optional<VierGewinntMove> computeNextMove(final int gameId, final VierGewinntPlayer player,
            final VierGewinntState state) throws GameException, InterruptedException {
        final Set<VierGewinntField> fields = state.getBoard().getAllPlayableFields();
        final Optional<VierGewinntField> field =
                fields.stream().skip(new Random().nextInt(fields.size())).findFirst();
        if (field.isPresent()) {
            return Optional.of(new VierGewinntMoveImpl(field.get().getPosition()));
        }
        return Optional.empty();
    }

}
