package de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves.impl;

import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves.VierGewinntMove;

/**
 * Represents a move allowed by the rules of the game.
 * <p>
 * The purpose of this class is solely to be able to check whether a
 * {@link Move} implementation is allowed by the rules of the game. As this
 * class is not public, custom strategies are unable to create {@link Move}
 * objects that inherit from this class, so custom moves can be distinguished
 * from possible moves easily.
 */
@SuppressWarnings("PMD.AbstractClassWithoutAnyMethod")
public abstract class AbstractMove implements VierGewinntMove {

}
